Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSliderUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.SliderUI
                  |
                  +--javax.swing.plaf.basic.BasicSliderUI

Direct Known Subclasses:
  MetalSliderUI

public class BasicSliderUI
extends SliderUI

A Basic L&F implementation of SliderUI.

Inner Class Summary
`class` | `BasicSliderUI.ActionScroller` Defines the action to take when scrolled.
`class` | `BasicSliderUI.ChangeHandler` Data model listener.
`class` | `BasicSliderUI.ComponentHandler` Listener for resizing events.
`class` | `BasicSliderUI.FocusHandler` Focus-change listener.
`class` | `BasicSliderUI.PropertyChangeHandler`
`class` | `BasicSliderUI.ScrollListener` Scroll-event listener.
`class` | `BasicSliderUI.TrackListener` Track mouse movements.

Field Summary
`protected ChangeListener` | `changeListener`
`protected java.awt.event.ComponentListener` | `componentListener`
`protected java.awt.Rectangle` | `contentRect`
`protected java.awt.Insets` | `focusInsets`
`protected java.awt.event.FocusListener` | `focusListener`
`protected java.awt.Rectangle` | `focusRect`
`protected java.awt.Insets` | `insetCache`
`protected java.awt.Rectangle` | `labelRect`
`int` | `MAX_SCROLL`
`int` | `MIN_SCROLL`
`int` | `NEGATIVE_SCROLL`
`int` | `POSITIVE_SCROLL`
`protected java.beans.PropertyChangeListener` | `propertyChangeListener`
`protected BasicSliderUI.ScrollListener` | `scrollListener`
`protected Timer` | `scrollTimer`
`protected JSlider` | `slider`
`protected java.awt.Rectangle` | `thumbRect`
`protected java.awt.Rectangle` | `tickRect`
`protected int` | `trackBuffer`
`protected BasicSliderUI.TrackListener` | `trackListener`
`protected java.awt.Rectangle` | `trackRect`

Constructor Summary
`BasicSliderUI(JSlider b)`

Method Summary
`protected void` | `calculateContentRect()`
`protected void` | `calculateFocusRect()`
`protected void` | `calculateGeometry()`
`protected void` | `calculateLabelRect()`
`protected void` | `calculateThumbLocation()`
`protected void` | `calculateThumbSize()`
`protected void` | `calculateTickRect()`
`protected void` | `calculateTrackBuffer()`
`protected void` | `calculateTrackRect()`
`protected ChangeListener` | `createChangeListener(JSlider slider)`
`protected java.awt.event.ComponentListener` | `createComponentListener(JSlider slider)`
`protected java.awt.event.FocusListener` | `createFocusListener(JSlider slider)`
`protected java.beans.PropertyChangeListener` | `createPropertyChangeListener(JSlider slider)`
`protected BasicSliderUI.ScrollListener` | `createScrollListener(JSlider slider)`
`protected BasicSliderUI.TrackListener` | `createTrackListener(JSlider slider)`
`static ComponentUI` | `createUI(JComponent b)`
`protected java.awt.Color` | `getFocusColor()`
`protected int` | `getHeightOfHighValueLabel()`
`protected int` | `getHeightOfLowValueLabel()`
`protected int` | `getHeightOfTallestLabel()`
`protected java.awt.Component` | `getHighestValueLabel()` Returns the label that corresponds to the lowest slider value in the label table.
`protected java.awt.Color` | `getHighlightColor()`
`protected java.awt.Component` | `getLowestValueLabel()` Returns the label that corresponds to the highest slider value in the label table.
`java.awt.Dimension` | `getMaximumSize(JComponent c)`
`java.awt.Dimension` | `getMinimumHorizontalSize()`
`java.awt.Dimension` | `getMinimumSize(JComponent c)`
`java.awt.Dimension` | `getMinimumVerticalSize()`
`java.awt.Dimension` | `getPreferredHorizontalSize()`
`java.awt.Dimension` | `getPreferredSize(JComponent c)`
`java.awt.Dimension` | `getPreferredVerticalSize()`
`protected java.awt.Color` | `getShadowColor()`
`protected java.awt.Dimension` | `getThumbSize()`
`protected int` | `getTickLength()` Gets the height of the tick area for horizontal sliders and the width of the tick area for vertical sliders.
`protected int` | `getWidthOfHighValueLabel()`
`protected int` | `getWidthOfLowValueLabel()`
`protected int` | `getWidthOfWidestLabel()`
`protected void` | `installDefaults(JSlider slider)`
`protected void` | `installKeyboardActions(JSlider slider)`
`protected void` | `installListeners(JSlider slider)`
`void` | `installUI(JComponent c)`
`void` | `paint(java.awt.Graphics g, JComponent c)`
`void` | `paintFocus(java.awt.Graphics g)`
`protected void` | `paintHorizontalLabel(java.awt.Graphics g, int value, java.awt.Component label)` Called for every label in the label table.
`void` | `paintLabels(java.awt.Graphics g)`
`protected void` | `paintMajorTickForHorizSlider(java.awt.Graphics g, java.awt.Rectangle tickBounds, int x)`
`protected void` | `paintMajorTickForVertSlider(java.awt.Graphics g, java.awt.Rectangle tickBounds, int y)`
`protected void` | `paintMinorTickForHorizSlider(java.awt.Graphics g, java.awt.Rectangle tickBounds, int x)`
`protected void` | `paintMinorTickForVertSlider(java.awt.Graphics g, java.awt.Rectangle tickBounds, int y)`
`void` | `paintThumb(java.awt.Graphics g)`
`void` | `paintTicks(java.awt.Graphics g)`
`void` | `paintTrack(java.awt.Graphics g)`
`protected void` | `paintVerticalLabel(java.awt.Graphics g, int value, java.awt.Component label)` Called for every label in the label table.
`protected void` | `recalculateIfInsetsChanged()`
`void` | `scrollByBlock(int direction)`
`void` | `scrollByUnit(int direction)`
`protected void` | `scrollDueToClickInTrack(int dir)` This function is called when a mousePressed was detected in the track, not in the thumb.
`void` | `setThumbLocation(int x, int y)`
`protected void` | `uninstallKeyboardActions(JSlider slider)`
`protected void` | `uninstallListeners(JSlider slider)`
`void` | `uninstallUI(JComponent c)`
`int` | `valueForXPosition(int xPos)` Returns a value give an x position.
`int` | `valueForYPosition(int yPos)` Returns a value give a y position.
`protected int` | `xPositionForValue(int value)`
`protected int` | `yPositionForValue(int value)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSITIVE_SCROLL

    public final int POSITIVE_SCROLL

### NEGATIVE_SCROLL

    public final int NEGATIVE_SCROLL

### MIN_SCROLL

    public final int MIN_SCROLL

### MAX_SCROLL

    public final int MAX_SCROLL

### scrollTimer

    protected Timer scrollTimer

### slider

    protected JSlider slider

### focusInsets

    protected java.awt.Insets focusInsets

### insetCache

    protected java.awt.Insets insetCache

### focusRect

    protected java.awt.Rectangle focusRect

### contentRect

    protected java.awt.Rectangle contentRect

### labelRect

    protected java.awt.Rectangle labelRect

### tickRect

    protected java.awt.Rectangle tickRect

### trackRect

    protected java.awt.Rectangle trackRect

### thumbRect

    protected java.awt.Rectangle thumbRect

### trackBuffer

    protected int trackBuffer

### trackListener

    protected BasicSliderUI.TrackListener trackListener

### changeListener

    protected ChangeListener changeListener

### componentListener

    protected java.awt.event.ComponentListener componentListener

### focusListener

    protected java.awt.event.FocusListener focusListener

### scrollListener

    protected BasicSliderUI.ScrollListener scrollListener

### propertyChangeListener

    protected java.beans.PropertyChangeListener propertyChangeListener

Constructor Detail

### BasicSliderUI

    public BasicSliderUI(JSlider b)

Method Detail

### getShadowColor

    protected java.awt.Color getShadowColor()

### getHighlightColor

    protected java.awt.Color getHighlightColor()

### getFocusColor

    protected java.awt.Color getFocusColor()

### createUI

    public static ComponentUI createUI(JComponent b)

### installUI

    public void installUI(JComponent c)

  Overrides:
    installUI in class ComponentUI

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class ComponentUI

### installDefaults

    protected void installDefaults(JSlider slider)

### createTrackListener

    protected BasicSliderUI.TrackListener createTrackListener(JSlider slider)

### createChangeListener

    protected ChangeListener createChangeListener(JSlider slider)

### createComponentListener

    protected java.awt.event.ComponentListener createComponentListener(JSlider slider)

### createFocusListener

    protected java.awt.event.FocusListener createFocusListener(JSlider slider)

### createScrollListener

    protected BasicSliderUI.ScrollListener createScrollListener(JSlider slider)

### createPropertyChangeListener

    protected java.beans.PropertyChangeListener createPropertyChangeListener(JSlider slider)

### installListeners

    protected void installListeners(JSlider slider)

### uninstallListeners

    protected void uninstallListeners(JSlider slider)

### installKeyboardActions

    protected void installKeyboardActions(JSlider slider)

### uninstallKeyboardActions

    protected void uninstallKeyboardActions(JSlider slider)

### getPreferredHorizontalSize

    public java.awt.Dimension getPreferredHorizontalSize()

### getPreferredVerticalSize

    public java.awt.Dimension getPreferredVerticalSize()

### getMinimumHorizontalSize

    public java.awt.Dimension getMinimumHorizontalSize()

### getMinimumVerticalSize

    public java.awt.Dimension getMinimumVerticalSize()

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent c)

  Overrides:
    getPreferredSize in class ComponentUI

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent c)

  Overrides:
    getMinimumSize in class ComponentUI

### getMaximumSize

    public java.awt.Dimension getMaximumSize(JComponent c)

  Overrides:
    getMaximumSize in class ComponentUI

### calculateGeometry

    protected void calculateGeometry()

### calculateFocusRect

    protected void calculateFocusRect()

### calculateThumbSize

    protected void calculateThumbSize()

### calculateContentRect

    protected void calculateContentRect()

### calculateThumbLocation

    protected void calculateThumbLocation()

### calculateTrackBuffer

    protected void calculateTrackBuffer()

### calculateTrackRect

    protected void calculateTrackRect()

### getTickLength

    protected int getTickLength()

  Gets the height of the tick area for horizontal sliders and the width of the tick area for vertical sliders. BasicSliderUI uses the returned value to determine the tick area rectangle. If you want to give your ticks some room, make this larger than you need and paint your ticks away from the sides in paintTicks().

### calculateTickRect

    protected void calculateTickRect()

### calculateLabelRect

    protected void calculateLabelRect()

### getThumbSize

    protected java.awt.Dimension getThumbSize()

### getWidthOfWidestLabel

    protected int getWidthOfWidestLabel()

### getHeightOfTallestLabel

    protected int getHeightOfTallestLabel()

### getWidthOfHighValueLabel

    protected int getWidthOfHighValueLabel()

### getWidthOfLowValueLabel

    protected int getWidthOfLowValueLabel()

### getHeightOfHighValueLabel

    protected int getHeightOfHighValueLabel()

### getHeightOfLowValueLabel

    protected int getHeightOfLowValueLabel()

### getLowestValueLabel

    protected java.awt.Component getLowestValueLabel()

  Returns the label that corresponds to the highest slider value in the label table.
  See Also:
    `JSlider.setLabelTable(java.util.Dictionary)`

### getHighestValueLabel

    protected java.awt.Component getHighestValueLabel()

  Returns the label that corresponds to the lowest slider value in the label table.
  See Also:
    `JSlider.setLabelTable(java.util.Dictionary)`

### paint

    public void paint(java.awt.Graphics g,
                      JComponent c)

  Overrides:
    paint in class ComponentUI

### recalculateIfInsetsChanged

    protected void recalculateIfInsetsChanged()

### paintFocus

    public void paintFocus(java.awt.Graphics g)

### paintTrack

    public void paintTrack(java.awt.Graphics g)

### paintTicks

    public void paintTicks(java.awt.Graphics g)

### paintMinorTickForHorizSlider

    protected void paintMinorTickForHorizSlider(java.awt.Graphics g,
                                                java.awt.Rectangle tickBounds,
                                                int x)

### paintMajorTickForHorizSlider

    protected void paintMajorTickForHorizSlider(java.awt.Graphics g,
                                                java.awt.Rectangle tickBounds,
                                                int x)

### paintMinorTickForVertSlider

    protected void paintMinorTickForVertSlider(java.awt.Graphics g,
                                               java.awt.Rectangle tickBounds,
                                               int y)

### paintMajorTickForVertSlider

    protected void paintMajorTickForVertSlider(java.awt.Graphics g,
                                               java.awt.Rectangle tickBounds,
                                               int y)

### paintLabels

    public void paintLabels(java.awt.Graphics g)

### paintHorizontalLabel

    protected void paintHorizontalLabel(java.awt.Graphics g,
                                        int value,
                                        java.awt.Component label)

  Called for every label in the label table. Used to draw the labels for horizontal sliders. The graphics have been translated to labelRect.y already.
  See Also:
    `JSlider.setLabelTable(java.util.Dictionary)`

### paintVerticalLabel

    protected void paintVerticalLabel(java.awt.Graphics g,
                                      int value,
                                      java.awt.Component label)

  Called for every label in the label table. Used to draw the labels for vertical sliders. The graphics have been translated to labelRect.x already.
  See Also:
    `JSlider.setLabelTable(java.util.Dictionary)`

### paintThumb

    public void paintThumb(java.awt.Graphics g)

### setThumbLocation

    public void setThumbLocation(int x,
                                 int y)

### scrollByBlock

    public void scrollByBlock(int direction)

### scrollByUnit

    public void scrollByUnit(int direction)

### scrollDueToClickInTrack

    protected void scrollDueToClickInTrack(int dir)

  This function is called when a mousePressed was detected in the track, not in the thumb. The default behavior is to scroll by block. You can override this method to stop it from scrolling or to add additional behavior.

### xPositionForValue

    protected int xPositionForValue(int value)

### yPositionForValue

    protected int yPositionForValue(int value)

### valueForYPosition

    public int valueForYPosition(int yPos)

  Returns a value give a y position. If yPos is past the track at the top or the bottom it will set the value to the min or max of the slider, depending if the slider is inverted or not.

### valueForXPosition

    public int valueForXPosition(int xPos)

  Returns a value give an x position. If xPos is past the track at the left or the right it will set the value to the min or max of the slider, depending if the slider is inverted or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.